giiQueryValInfo(3)

NAME
giiQueryValInfo : Get data about valuators

SYNOPSIS
#include <ggi/gii.h>
int giiQueryValInfo(gii_input_t inp, uint32_t origin,
                    uint32_t valnumber, gii_cmddata_getvalinfo *info);

DESCRIPTION
Though when using GII inputs the exact type of device is fully transparent to the program, information about the device that is actually attached to a given gii input and origin id can be queried, e.g. for configuration interfaces. For giiQueryValInfo is used on devices, where giiQueryDeviceInfo(3) has indicated that the device has one or more valuator axes and you want to gather additional info about the physical equivalent of each axis.The parameters inp and origin select the input to query and valnumber selects the specific valuator (an input can have multiple valuators). The queried data is put into info. See gii_cmddata_getvalinfo(3) for the description of the structure.

RETURN VALUE
Returns 0 on success (info is valid, then) or -1 otherwise.

SEE ALSO
giiQueryDeviceInfo(3)